%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name react-dnd

Name: %{?scl_prefix}nodejs-react-dnd
Version: 14.0.5
Release: 1%{?dist}
Summary: Drag and Drop for React
License: MIT
Group: Development/Libraries
URL: https://github.com/react-dnd/react-dnd#readme
Source0: https://registry.npmjs.org/@babel/runtime/-/runtime-7.27.6.tgz
Source1: https://registry.npmjs.org/@react-dnd/asap/-/asap-4.0.1.tgz
Source2: https://registry.npmjs.org/@react-dnd/invariant/-/invariant-2.0.0.tgz
Source3: https://registry.npmjs.org/@react-dnd/shallowequal/-/shallowequal-2.0.0.tgz
Source4: https://registry.npmjs.org/dnd-core/-/dnd-core-14.0.1.tgz
Source5: https://registry.npmjs.org/fast-deep-equal/-/fast-deep-equal-3.1.3.tgz
Source6: https://registry.npmjs.org/hoist-non-react-statics/-/hoist-non-react-statics-3.3.2.tgz
Source7: https://registry.npmjs.org/react-dnd/-/react-dnd-14.0.5.tgz
Source8: https://registry.npmjs.org/react-is/-/react-is-16.13.1.tgz
Source9: https://registry.npmjs.org/redux/-/redux-4.2.1.tgz
Source10: nodejs-react-dnd-%{version}-registry.npmjs.org.tgz
BuildRequires: %{?scl_prefix_nodejs}npm
%if 0%{!?scl:1}
BuildRequires: nodejs-packaging
%endif
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch

Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}
Provides: bundled(npm(@babel/runtime)) = 7.27.6
Provides: bundled(npm(@react-dnd/asap)) = 4.0.1
Provides: bundled(npm(@react-dnd/invariant)) = 2.0.0
Provides: bundled(npm(@react-dnd/shallowequal)) = 2.0.0
Provides: bundled(npm(dnd-core)) = 14.0.1
Provides: bundled(npm(fast-deep-equal)) = 3.1.3
Provides: bundled(npm(hoist-non-react-statics)) = 3.3.2
Provides: bundled(npm(react-dnd)) = 14.0.5
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(redux)) = 4.2.1
AutoReq: no
AutoProv: no

%if 0%{?scl:1}
%define npm_cache_dir npm_cache
%else
%define npm_cache_dir /tmp/npm_cache_%{name}-%{version}-%{release}
%endif

%description
%{summary}

%prep
mkdir -p %{npm_cache_dir}
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
for tgz in %{sources}; do
  echo $tgz | grep -q registry.npmjs.org || npm cache add --cache %{npm_cache_dir} $tgz
done
%{?scl:end_of_scl}

%setup -T -q -a 10 -D -n %{npm_cache_dir}

%build
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
npm install --legacy-peer-deps --cache-min Infinity --cache %{?scl:../}%{npm_cache_dir} --no-shrinkwrap --no-optional --global-style true %{npm_name}@%{version}
%{?scl:end_of_scl}

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/node_modules %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%clean
rm -rf %{buildroot} %{npm_cache_dir}

%files
%{nodejs_sitelib}/%{npm_name}
%license node_modules/%{npm_name}/LICENSE
%doc node_modules/%{npm_name}/README.md

%changelog
* Thu Jul 24 2025 Foreman Packaging Automation <packaging@theforeman.org> 14.0.5-1
- Update to 14.0.5

* Thu Jun 19 2025 MariaAga <mariaaga@redhat.com> 14.0.2-1
- Add nodejs-react-dnd generated by npm2rpm using the bundle strategy

